UIToolBarGroup (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UIToolBarGroup class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIToolBarGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIToolBarGroup

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlToolBarGroup

    public abstract class UIToolBarGroup

extends javax.faces.component.UIComponentBase

Author:
  Maksim Kaszynski

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIToolBarGroup()`

Method Summary
`abstract java.lang.String` | `getItemSeparator()`
`abstract java.lang.String` | `getLocation()`
`UIToolBar` | `getToolBar()`
`abstract void` | `setItemSeparator(java.lang.String itemSeparator)`
`abstract void` | `setLocation(java.lang.String location)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIToolBarGroup

    public UIToolBarGroup()

Method Detail

### getItemSeparator

    public abstract java.lang.String getItemSeparator()

### setItemSeparator

    public abstract void setItemSeparator(java.lang.String itemSeparator)

### getLocation

    public abstract java.lang.String getLocation()

### setLocation

    public abstract void setLocation(java.lang.String location)

### getToolBar

    public UIToolBar getToolBar()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.